Subject: Offline Message from Teresa Rivera: I purchased a Swagtron Electric skateboar
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked]
Date: Sat, 04 Jun 2022 16:41:51 -0000

From: Teresa Rivera <[email-masked]>
Phone: 8609133154
Location: Boston, United States
URL: https://swagtron.com/swagskate-ng3-kids-electric-skateboard-kick-assist/
Department: SwagTron

I purchased a Swagtron Electric skateboard for my grandson last year on June 4th,2021 and it originally worked for a week and then it began to not charge or charge a little bit and doesn’t last. I actually purchased 2 of these skateboard for my grandson and the 1st one I purchased for him works fine but the 2nd one seems to be defective. Is there anything you can do or suggest to repair the 2nd skateboard I purchased. 

----
Zopim
https://www.zopim.com